import SFSafeSymbols
import SwiftUI

enum IssueStatus {
    case nominal
    case warning
    case error

    var symbol: SFSymbol {
        switch self {
        case .nominal: .checkmarkCircleFill
        case .warning, .error: .exclamationmarkTriangle
        }
    }

    var color: Color {
        switch self {
        case .nominal: .green
        case .warning: .yellow
        case .error: .red
        }
    }
}
